aboutsummaryrefslogtreecommitdiffstats
path: root/tools
diff options
context:
space:
mode:
authorgerald <gerald@f5534014-38df-0310-8fa8-9805f1628bb7>2010-02-05 21:35:59 +0000
committergerald <gerald@f5534014-38df-0310-8fa8-9805f1628bb7>2010-02-05 21:35:59 +0000
commit830aae2bbf968309f9062f6184788c1715bed9b1 (patch)
tree93ea8c8cdba8c60f3ff286b522c3b1a2d9ca3e0f /tools
parent00b69c7ffec25e2db7d0527a78394ef5bc7b499e (diff)
Exit normally when we trap a signal so that things like Buildbot don't
generate unnecessary errors when we cancel a fuzz test. git-svn-id: http://anonsvn.wireshark.org/wireshark/trunk@31803 f5534014-38df-0310-8fa8-9805f1628bb7
Diffstat (limited to 'tools')
-rwxr-xr-xtools/fuzz-test.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tools/fuzz-test.sh b/tools/fuzz-test.sh
index ac0f1b0288..1e5db61845 100755
--- a/tools/fuzz-test.sh
+++ b/tools/fuzz-test.sh
@@ -115,7 +115,7 @@ echo "Running $TSHARK with args: $TSHARK_ARGS ($HOWMANY)"
echo ""
# Clean up on <ctrl>C, etc
-trap "rm -f $TMP_DIR/$TMP_FILE $TMP_DIR/$ERR_FILE; echo ""; exit 1" HUP INT TERM
+trap "rm -f $TMP_DIR/$TMP_FILE $TMP_DIR/$ERR_FILE; echo ""; exit 0" HUP INT TERM
# Iterate over our capture files.
PASS=0